<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns="http://www.w3.org/1999/xhtml"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j"
                template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="divMainImport">

                <h1>#{messages['gazelle.svs.ImportValueSets']}</h1>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.svs.ImportFromXmlOrZipFiles']}</ui:define>
                    <div class="row">
                        <div class="col-md-4">
                            <div class="gzl-alert gzl-alert-blue">
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.svssimulator.FirstCheckTheOptionToEnableBeforeUploadingAFile']}"
                                        styleClass="help-block"/>
                                <br/>
                                <s:decorate template="/layout/form/_checkbox.xhtml">
                                    <h:selectBooleanCheckbox value="#{importFromFileManager.reviewChanges}">
                                        <a4j:ajax event="change" execute="@this" render=":info"/>
                                    </h:selectBooleanCheckbox>
                                    <b>#{messages['net.ihe.gazelle.svssimulator.ReviewChangesBeforeSaving']}</b>
                                    <h:outputText styleClass="help-block"
                                                  value="#{messages['net.ihe.gazelle.svssimulator.CheckToEnable']}"/>
                                </s:decorate>
                                <s:decorate template="/layout/form/_checkbox.xhtml">
                                    <h:selectBooleanCheckbox value="#{importFromFileManager.updateRequested}">
                                        <a4j:ajax event="change" execute="@this" render=":info"/>
                                    </h:selectBooleanCheckbox>
                                    <b>#{messages['net.ihe.gazelle.svssimulator.UpdateValueSetAttributesWhenRedefinedInTheUpload']}</b>
                                    <h:outputText styleClass="help-block"
                                                  value="#{messages['net.ihe.gazelle.svssimulator.CheckToEnable']}"/>
                                </s:decorate>
                                <s:decorate template="/layout/form/_checkbox.xhtml">
                                    <h:selectBooleanCheckbox value="#{importFromFileManager.deleteRequested}">
                                        <a4j:ajax event="change" execute="@this" render=":info"/>
                                    </h:selectBooleanCheckbox>
                                    <b>#{messages['net.ihe.gazelle.svssimulator.DeleteConceptsWhenNotReferencedInTheUploadedFile']}</b>
                                    <h:outputText styleClass="help-block"
                                                  value="#{messages['net.ihe.gazelle.svssimulator.CheckToEnable']}"/>
                                </s:decorate>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <h:outputText>#{messages['gazelle.svs.ThisUploaderAcceptsOnlyXmlAndZipFiles']}</h:outputText>
                            <rich:fileUpload fileUploadListener="#{importFromFileManager.listener}" id="upload"
                                             acceptedTypes="xml, zip" maxFilesQuantity="20" immediateUpload="true"
                                             onadd="#{rich:component('panelLoading')}.show();"
                                             onfileuploadcomplete="#{rich:component('panelLoading')}.hide();">
                                <a4j:ajax event="uploadcomplete" render="pnlMessages, info"/>
                            </rich:fileUpload>
                        </div>
                    </div>
                    <h:panelGroup id="info">
                        <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                            <ui:define name="panel_title">#{messages['gazelle.svs.UploadedFilesInfo']}</ui:define>
                            <h:outputText value="#{messages['gazelle.svs.NoFilesCurrentlyUploaded']}"
                                          rendered="#{empty importFromFileManager.filesContent and empty importFromFileManager.zipFile}"/>
                            <rich:list value="#{importFromFileManager.getFilesContentkeySet()}" var="filename"
                                       rendered="#{not empty importFromFileManager.filesContent and empty importFromFileManager.zipFile}"
                                       type="unordered">
                                <h:outputText value="#{filename}"/>
                            </rich:list>
                            <rich:list value="#{importFromFileManager.getZipFilekeySet()}" var="filename"
                                       rendered="#{not empty importFromFileManager.zipFile}" type="unordered">
                                <h:outputText value="#{filename}"/>
                            </rich:list>
                            <ui:define name="panel_footer">
                                <a4j:commandButton action="#{importFromFileManager.clearUploadData()}"
                                                   styleClass="gzl-btn-blue"
                                                   value="#{messages['gazelle.svs.ClearUploadedData']}"
                                                   rendered="#{importFromFileManager.getSize() &gt; 0}"
                                                   render="info, upload, divValueSetInformations"/>
                            </ui:define>
                        </ui:decorate>
                        <s:div rendered="#{not empty importFromFileManager.filesContent or not empty importFromFileManager.zipFile}">
                            <ui:include src="/browser/importedValueSetInformations.xhtml">
                                <ui:param name="importBean" value="#{importFromFileManager}"/>
                                <ui:param name="reviewChanges" value="#{importFromFileManager.reviewChanges}"/>
                            </ui:include>
                        </s:div>
                    </h:panelGroup>
                </ui:decorate>
                <s:div id="pathDiv">
                    <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                        <ui:define name="panel_title">#{messages['gazelle.svs.ImportFromFilesOnDisk']}</ui:define>
                        <a4j:region>
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:param name="id" value="pathToFolderToImport"/>
                                <ui:define name="label">#{messages['gazelle.svs.PathToTheFolder']}</ui:define>
                                <h:inputText id="pathToFolderToImport" value="#{importFromFileManager.pathToFolderToImport}"
                                             required="true"
                                             requiredMessage=" Path cannot be blank" styleClass="form-control">
                                    <a4j:ajax event="keyup" render="pathDiv" />
                                </h:inputText>
                            </ui:decorate>
                        </a4j:region>
                        <ui:define name="panel_footer">
                            <a4j:commandButton action="#{importFromFileManager.importFromFolder()}"
                                               value="#{messages['gazelle.svs.Import']}"
                                               styleClass="gzl-btn-blue"
                                               render="globalForm"
                                               rendered="#{not importFromFileManager.pathToFolderToImport.isEmpty()}"/>
                            <a4j:commandButton value="#{messages['gazelle.svs.Back']}"
                                               styleClass="gzl-btn"
                                               action="/browser/valueSetBrowser.seam"
                                               immediate="true"
                                               rendered="#{not importFromFileManager.pathToFolderToImport.isEmpty()}"/>
                        </ui:define>
                    </ui:decorate>
                </s:div>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>